function Fm = Fmatrix(x,parpro)
%
% #####################     JACOBIAN MATRIX  F  ############################
%                                           
%
% ################          4 CYLINDRICAL TANKS          ################### 
%
%
% By Giovani Tonel (giotonel@enq.ufrgs.br) - April 2007
%
%
% df/dx(x,u)|x=x_k,u=u_k , size= (ns, ns)
%
% df/dx(x,u)=	[		dF1/dx1		dF1/dx2		dF1/dx3		...		dF1 /dxns
%								dF2/dx1		dF2/dx2		dF2/dx3		...		dF2 /dxns
%								dF3/dx1		dF3/dx2		dF3/dx3		...		dF3 /dxns
%									...			...			...		...		dFns/dxns	];
%									
%__________________________________
%
% Process Parameters


% S-function name
namesf		= 3;

%  Convert field to variable
par_pro;

%__________________________________


h			=	x;

dFdx		=	(As.*sqrt(2*h/g))./a ;

%_________________________________________________________________________________

Fm=	[ -1/dFdx(1)     0        As(3)/As(1)/dFdx(3)       		0        				;...
      0      		-1/dFdx(2)          0             As(4)/As(2)/dFdx(4)			;...
      0         			0           -1/dFdx(3)           			0            		;...
      0         			0              0              		-1/dFdx(4)        		];
%_________________________________________________________________________________

