function f =	MHE_objfun(wv,t,options,xfil, ymea, umvb,P_kN, parmhe, parpro)
%
%						
% ####################     MHE OBJECTIVE FUNCTION       ############################
%
% #####################     4 CYLINDRICAL TANKS         ############################ 
%
% By Giovani Tonel (giotonel@enq.ufrgs.br) - April 2007


% ---------------------------------------------------------------------------------
%

% S-function name
namesf		= 1;

%  Convert field to variable
par_pro;
% ---------------------------------------------------------------------------------



w			=	wv(1: ns*(N+1));		
v			=	wv(ns*(N+1)+1: (ns+nms)*(N+1));	



w			=	reshape(w, ns , N+1);		% size= (ns  , N+1 )
v			=	reshape(v, nms, N+1);		% size= (nms , N+1 )


if N==0*dt,
f					=	0													;	
Errw				=	w(:, 1)'*inv(P_kN)*w(:, 1)			;
Errv				=	v(:, 1)'*inv(R)*v(:, 1)				;

f					=	f 		+ 		Errw 		+ 		Errv 	;
% ---------------------------------------------------------------------------------
else
   for i=N+1:-1:1,
      if i==N+1,
         
         % --------------------- Calculating the Arrival Cost on N+1 --------------------
         
         f					=	w(:, N+2-i)'*inv(P_kN)*w(:, N+2-i)	;
         
         % or you can assume arrival cost equal to zero.
         % f				=	0;	
         % 
         % ------------------------------------------------------------------------------
      else
         
         % ---------------------  Calculating the Cost function up to N+1 ---------------
         %
         Errw				=	w(:, N+2-i)'*inv(Q)*w(:, N+2-i)		;
         Errv				=	v(:, N+2-i)'*inv(R)*v(:, N+2-i)		;
         %
         f					=	f 		+ 		Errw 		+ 		Errv 		;
         % ------------------------------------------------------------------------------
      end
   end
end


% sprintf('Objective function value		: %0.4f', f		)
% sprintf('Error on prediction states	: %0.4f', Errw	)
%
%                         FINISHED MHE WINDOW INTEGRATION
%__________________________________________________________________________________

