function dP_dt = Ppred(t,x,options, Q, parpro)
%
% ##################       P PREDICTION FUNCTION          ##################
%                                           
% ##############      MOVING HORIZON ESTIMATOR (MHE)         ###############
% ##############  CONSTRAINED EXTEND KALMAN FILTER (cEKF)    ###############
%
% ##################        4 CYLINDRICAL TANKS           ################## 
%___________________________________________________________________________
%
%             By Giovani Tonel (giotonel@enq.ufrgs.br) - April 2007
%___________________________________________________________________________
%___________________________________________________________________________


%___________________________________________________________________________
%

% S-function name
namesf		= 3;

%  Convert field to variable
par_pro;
%___________________________________________________________________________


%___________________________________________________________________________
%
% Jacobian Matrix
F 				= Fmatrix(x(1:ns),parpro);
%___________________________________________________________________________
%

%___________________________________________________________________________
%
P				=	reshape(x((ns+1):(ns+ns^2)),ns,ns); 

%___________________________________________________________________________


%___________________________________________________________________________
%
dP_dt		=	F*P	+	P*(F')	+	Q;
%___________________________________________________________________________
