%
% ####################  CHECK INITIALIZATION MHE DATA  #####################
%                                           
% ##################   MOVING HORIZON ESTIMATOR (MHE)     ##################
% ##############  CONSTRAINED EXTEND KALMAN FILTER (cEKF)    ###############
%
%___________________________________________________________________________
%___________________________________________________________________________
%
%             Giovani Tonel (giotonel@enq.ufrgs.br) - April 2007
%___________________________________________________________________________
%___________________________________________________________________________



%___________________________________________________________________________________
%
%                                    Checking 
%___________________________________________________________________________________


disp(' ')
disp('*****************************************************************************');
disp(' ')
disp('Checking initialization MHE data ...')
disp(' ')

if (~ isstruct (parmhe))
   error ('parmhe is not a data structure');
end

if (~ isstruct (parcekf))
   error ('parcekf is not a data structure');
end

if (~ isstruct (parpro))
   error ('parpro is not a data structure');
end


% Checking xstart and ystart sizes

[xrow,xcol]		=	size(xstart);
[yrow,ycol]		=	size(ystart);

if (xrow~=ns)|(yrow~=nms)
   error('Wrong dimension. ''xstart'' should have ns rows and ''ystart'' should have nms rows !!!')
end

if (xcol~=N+1)|(ycol~=N+1)
   error('Wrong dimension. ''xstart'' and ''ystart'' should have N+1 columns !!!')
end


% Checking manipulates variables size

[urow,ucol]		=	size(umvb);

if (urow~=num)|(ucol~=N+2)
   error('Wrong dimension. ''umv'' should have num rows and N+2 columns !!!')
end


% Checking  bounds size

bounds;

if (llb(1)~=ns)|(llb(2)~=N+1),
   error('Wrong dimension on ''bounds.m''. ''Lb'' should have ns rows and N+1 columns!!!')
end


if (lub(1)~=ns)|(lub(2)~=N+1)
   error('Wrong dimension on ''bounds.m''. ''Ub'' should have ns rows and N+1 columns!!!')
end

% Checking PRBS signal size 


if (tsim~=(Tsim/Ts))
   error('Wrong size on ''tsim'' should be equal to the size (Tsim/Ts)!!!')
end


disp('...check OK!!!')
disp(' ')
disp('*****************************************************************************');


