% ##################     INPUT PROCESS MEASUREMENT        ##################
%
% ##################        4 CYLINDRICAL TANKS           ################## 
%___________________________________________________________________________
%___________________________________________________________________________
%
%             Giovani Tonel (giotonel@enq.ufrgs.br) - April 2007
%___________________________________________________________________________
%___________________________________________________________________________


%___________________________________________________________________________

%
% 			Filter inputs:									Filter outputs:
%
% 		u(1) <-- F1	(feed flow)	;				% y(1) <-- h1 (filtered)	;
% 		u(2) <-- F2	(feed flow)	;				% y(2) <-- h2 (filtered)	;
% 		u(3) <-- X1	(fr. flow)	;				% y(3) <-- h3 (estimated)	;
% 		u(4) <-- X2	(fr. flow)	;				% y(4) <-- h4 (estimated)	;
% 		u(5) <-- h1 (measured)	;					
% 		u(6) <-- h2 (measured)	;


i1		=	1;
i2		=	2;
i3		=	3;
i4		=	4;
i5		=	5;
i6		=	6;
%___________________________________________________________________________



if flag2==1,
   %___________________________________________________________________________
   %
   % umv			:	 	u manipulated variables 
   % umv(1)		:		F1
   % umv(2)		:		F2
   % umv(3)		:		X1
   % umv(4)		:		X2
   
   % umv	: 		is the manipulated variables value at time t=k.
   % umvb	:		is the manipulated variables value from time t=k-N-1 to t=k-1.
   
   umv		=	[u(i1:i4)];
   
   % Up-dating manipulated variables
   parpro.umv				=	umv ;		% u{k|k}
  
   %___________________________________________________________________________
   
   
   %  	y measured of process with white noise (h1 and h2).
   %		For this case the  measured process variables are the own states
   ymea		=	[u(i5:i6)];
   
   %___________________________________________________________________________

     
else
   %  	y measured 	of process with white noise (Fout1 and Fout2)
   
   % ymea	=	u(i5:i6); 
   
end
     
%__________________________________________________________________________________ 
