%
% #######	Dynamic and Static Process Parameters/ Manipulated variables #####
%                                           
% ##################   MOVING HORIZON ESTIMATOR (MHE)     ##################
% ##############  CONSTRAINED EXTEND KALMAN FILTER (cEKF)    ###############
%
%___________________________________________________________________________
%___________________________________________________________________________
%
%             Giovani Tonel (giotonel@enq.ufrgs.br) - April 2007
%___________________________________________________________________________
%___________________________________________________________________________
%

%___________________________________________________________________________
%
% Static Process Parameters
%___________________________________________________________________________

x0			=	parpro.x0				;
dt			=	parpro.dt				;
Tsim		=	parpro.Tsim			;
ns			=	parpro.ns				;
nms		=	parpro.nms   		;
flag1	=	parpro.flag1 		; 
flag2	=	parpro.flag2  		;

As			=	parpro.As 			;
a			=	parpro.a  			;    
g			=	parpro.g  			;


%___________________________________________________________________________
%
% Dynamic Process Parameters/ Manipulated variables
%___________________________________________________________________________ 

F1			=	parpro.umv(1) 		;
F2			=	parpro.umv(2) 		; 
X1			=	parpro.umv(3) 		;
X2			=	parpro.umv(4) 		;

num		=	parpro.num			;





switch namesf
   case 1,
      %___________________________________________________________________________ 
      %
      %  Initial Parameters for MHE
      %___________________________________________________________________________ 
      
      N				=	parmhe.N			;
      P0			=	parmhe.P0			;
      Q				=	parmhe.Q			;
      R				=	parmhe.R			;
       
      
   case 2
      %___________________________________________________________________________ 
      %
      %  Initial Parameters for cEKF
      %___________________________________________________________________________ 
      
      P0			=	parcekf.P0			;
      Q				=	parcekf.Q				;
      R				=	parcekf.R				;
      
   case 3
      %___________________________________________________________________________ 
      %
      %  Parameters for others m functions
      %  Ex.: matrixF.m, pmfun.m
      %___________________________________________________________________________ 
      
   otherwise
      sprintf('Check the name of the S-fuction: %i !!!',namesf)
      error ('S-function name is wrong !!!');
         
end

